import type { HTMLAttributes } from "react";
import type { TextProps } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui";
export declare const ComparisonList: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<HTMLAttributes<HTMLUListElement>, HTMLUListElement>, {}>;
export declare const AddComparisonButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & import("@mantine/core").ButtonProps & import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").ExtraButtonProps & HTMLAttributes<HTMLButtonElement>, {}, {}>;
export declare const ComparisonPickerSecondaryText: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & TextProps & HTMLAttributes<HTMLSpanElement> & {
    component?: "span" | undefined;
}, {}, {}>;
export declare const ComparisonPickerButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & import("@mantine/core").ButtonProps & import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").ExtraButtonProps & HTMLAttributes<HTMLButtonElement>, {}, {}>;
export declare const DoneButton: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
} & import("@mantine/core").ButtonProps & import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").ExtraButtonProps & HTMLAttributes<HTMLButtonElement>, {}, {}>;
export declare const DragHandleIcon: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").IconProps & import("react").RefAttributes<SVGSVGElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const ExpandIcon: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").IconProps & import("react").RefAttributes<SVGSVGElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const RemoveIcon: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").IconProps & import("react").RefAttributes<SVGSVGElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
